## monit 5.27.0

=== debian/changelog ===
monit (1:5.27.0-1) unstable; urgency=medium

  * Support for monitoring the ecdsa and ed25519 ssh keys (Closes: #961030)
  * New upstream version 5.27.0 (Closes: #966185)
  * Adapt patches (11_enable_hurd.patch wasn't tested)
  * Override dh_autoreconf (suggested by Christian Göttsche)
  * Drop README
  * Remove support for START option in default (lintian
    init.d-script-should-always-start-service)
  * Add Pre-Depends (fix skip-systemd-native-flag-missing-pre-depends)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Fri, 31 Jul 2020 14:12:44 +0300

monit (1:5.26.0-6) unstable; urgency=medium

  * Fix superfluous alerts when the link is down (Closes: #902204)

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Tue, 28 Apr 2020 08:32:19 +0300

monit (1:5.26.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure),
    Repository.

  [ Christian Göttsche ]
  * Correct printf format arguments in hurd patch
  * Add Rules-Requires-Root: no
  * Create /var/log/monit.log with correct SELinux context

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 20 Apr 2020 12:23:50 +0300

=== debian/control ===
Source: monit
Section: admin
Priority: optional
Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
Build-Depends: debhelper-compat (= 12), libssl-dev, zlib1g-dev,
 libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://mmonit.com/monit/
Vcs-Git: https://salsa.debian.org/sk-guest/monit.git
Vcs-Browser: https://salsa.debian.org/sk-guest/monit

Package: monit
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
Suggests: default-mta | postfix [!kfreebsd-any !hurd-any] | mail-transport-agent,
 sysvinit-core
Description: utility for monitoring and managing daemons or similar programs
 monit is a utility for monitoring and managing daemons or similar
 programs running on a Unix system. It will start specified programs
 if they are not running and restart programs not responding.
 .
 monit supports:
  * Daemon mode - poll programs at a specified interval
  * Monitoring modes - active, passive or manual
  * Start, stop and restart of programs
  * Group and manage groups of programs
  * Process dependency definition
  * Logging to syslog or own logfile
  * Configuration - comprehensive controlfile
  * Runtime and TCP/IP port checking (tcp and udp)
  * SSL support for port checking
  * Unix domain socket checking
  * Process status and process timeout
  * Process cpu usage
  * Process memory usage
  * Process zombie check
  * Check the systems load average
  * Check a file or directory timestamp
  * Alert, stop or restart a process based on its characteristics
  * MD5 checksum for programs started and stopped by monit
  * Alert notification for program timeout, restart, checksum, stop
    resource and timestamp error
  * Flexible and customizable email alert messages
  * Protocol verification. HTTP, FTP, SMTP, POP, IMAP, NNTP, SSH, DWP,
    LDAPv2 and LDAPv3
  * An http interface with optional SSL support to make monit
    accessible from a webbrowser

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- --sysconfdir=/etc/monit

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

override_dh_missing:
	dh_missing --fail-missing

## monit 5.27.1

=== libmonit/test/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# test/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/libmonit
pkgincludedir = $(includedir)/libmonit
pkglibdir = $(libdir)/libmonit
pkglibexecdir = $(libexecdir)/libmonit
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
noinst_PROGRAMS = StrTest$(EXEEXT) ConvertTest$(EXEEXT) \
	SystemTest$(EXEEXT) ListTest$(EXEEXT) DirTest$(EXEEXT) \
	StringBufferTest$(EXEEXT) InputStreamTest$(EXEEXT) \
	OutputStreamTest$(EXEEXT) FileTest$(EXEEXT) \
	ExceptionTest$(EXEEXT) NetTest$(EXEEXT) TimeTest$(EXEEXT) \
	CommandTest$(EXEEXT)
subdir = test
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/config/ax_check_compile_flag.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/src/xconfig.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_CommandTest_OBJECTS = CommandTest.$(OBJEXT)
CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
CommandTest_LDADD = $(LDADD)
CommandTest_DEPENDENCIES = ../libmonit.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
am_ConvertTest_OBJECTS = ConvertTest.$(OBJEXT)
ConvertTest_OBJECTS = $(am_ConvertTest_OBJECTS)
ConvertTest_LDADD = $(LDADD)
ConvertTest_DEPENDENCIES = ../libmonit.la
am_DirTest_OBJECTS = DirTest.$(OBJEXT)
DirTest_OBJECTS = $(am_DirTest_OBJECTS)
DirTest_LDADD = $(LDADD)
DirTest_DEPENDENCIES = ../libmonit.la
am_ExceptionTest_OBJECTS = ExceptionTest.$(OBJEXT)
ExceptionTest_OBJECTS = $(am_ExceptionTest_OBJECTS)
ExceptionTest_LDADD = $(LDADD)
ExceptionTest_DEPENDENCIES = ../libmonit.la
am_FileTest_OBJECTS = FileTest.$(OBJEXT)
FileTest_OBJECTS = $(am_FileTest_OBJECTS)
FileTest_LDADD = $(LDADD)
FileTest_DEPENDENCIES = ../libmonit.la
am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
InputStreamTest_LDADD = $(LDADD)
InputStreamTest_DEPENDENCIES = ../libmonit.la
am_ListTest_OBJECTS = ListTest.$(OBJEXT)
ListTest_OBJECTS = $(am_ListTest_OBJECTS)
ListTest_LDADD = $(LDADD)
ListTest_DEPENDENCIES = ../libmonit.la
am_NetTest_OBJECTS = NetTest.$(OBJEXT)
NetTest_OBJECTS = $(am_NetTest_OBJECTS)
NetTest_LDADD = $(LDADD)
NetTest_DEPENDENCIES = ../libmonit.la
am_OutputStreamTest_OBJECTS = OutputStreamTest.$(OBJEXT)
OutputStreamTest_OBJECTS = $(am_OutputStreamTest_OBJECTS)
OutputStreamTest_LDADD = $(LDADD)
OutputStreamTest_DEPENDENCIES = ../libmonit.la
am_StrTest_OBJECTS = StrTest.$(OBJEXT)
StrTest_OBJECTS = $(am_StrTest_OBJECTS)
StrTest_LDADD = $(LDADD)
StrTest_DEPENDENCIES = ../libmonit.la
am_StringBufferTest_OBJECTS = StringBufferTest.$(OBJEXT)
StringBufferTest_OBJECTS = $(am_StringBufferTest_OBJECTS)
StringBufferTest_LDADD = $(LDADD)
StringBufferTest_DEPENDENCIES = ../libmonit.la
am_SystemTest_OBJECTS = SystemTest.$(OBJEXT)
SystemTest_OBJECTS = $(am_SystemTest_OBJECTS)
SystemTest_LDADD = $(LDADD)
SystemTest_DEPENDENCIES = ../libmonit.la
am_TimeTest_OBJECTS = TimeTest.$(OBJEXT)
TimeTest_OBJECTS = $(am_TimeTest_OBJECTS)
TimeTest_LDADD = $(LDADD)
TimeTest_DEPENDENCIES = ../libmonit.la
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
depcomp =
am__depfiles_maybe =
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(CommandTest_SOURCES) $(ConvertTest_SOURCES) \
	$(DirTest_SOURCES) $(ExceptionTest_SOURCES) \
	$(FileTest_SOURCES) $(InputStreamTest_SOURCES) \
	$(ListTest_SOURCES) $(NetTest_SOURCES) \
	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
	$(TimeTest_SOURCES)
DIST_SOURCES = $(CommandTest_SOURCES) $(ConvertTest_SOURCES) \
	$(DirTest_SOURCES) $(ExceptionTest_SOURCES) \
	$(FileTest_SOURCES) $(InputStreamTest_SOURCES) \
	$(ListTest_SOURCES) $(NetTest_SOURCES) \
	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
	$(TimeTest_SOURCES)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AR = ar
AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing autoconf
AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing autoheader
AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lm -lpthread -lz 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = libmonit
PACKAGE_BUGREPORT = monit-dev@tildeslash.com
PACKAGE_NAME = libmonit
PACKAGE_STRING = libmonit 1.0
PACKAGE_TARNAME = libmonit
PACKAGE_URL = 
PACKAGE_VERSION = 1.0
PATH_SEPARATOR = :
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UNIT_TEST = test
VERSION = 1.0
abs_builddir = /tmp/monit/libmonit/test
abs_srcdir = /tmp/monit/libmonit/test
abs_top_builddir = /tmp/monit/libmonit
abs_top_srcdir = /tmp/monit/libmonit
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AUTOMAKE_OPTIONS = foreign no-dependencies
LDADD = ../libmonit.la
AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
StrTest_SOURCES = StrTest.c

=== debian/changelog ===
monit (1:5.27.1-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Wed, 17 Feb 2021 15:51:12 -0500

monit (1:5.27.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Joseph Nahmias <jello@debian.org>  Wed, 04 Nov 2020 22:32:31 -0500

monit (1:5.27.1-1) unstable; urgency=medium

  * New upstream version 5.27.1
  * Refresh patches
  * Add lintian override for debian-watch-does-not-check-gpg-signature

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Sun, 25 Oct 2020 07:20:12 +0300

monit (1:5.27.0-2) unstable; urgency=medium

  * Restore cross-build compatibility.  Closes: #968482,
    thanks to Helmut Grohne.
  * Update debhelper-compat version
  * Drop obsoleted (in bullseye) DEB_LDFLAGS_MAINT_APPEND
  * Fix Forwarded header in 07_cross.patch

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Wed, 23 Sep 2020 08:43:03 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: monit
 Section: admin
 Priority: optional
-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper-compat (= 12), libssl-dev, zlib1g-dev,
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Build-Depends: debhelper-compat (= 13), libssl-dev, zlib1g-dev,
  libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
 Standards-Version: 4.5.0
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,12 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 %:
 	dh $@
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
 
 override_dh_autoreconf:
 	dh_autoreconf ./bootstrap

## monit 5.27.2

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.1 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2017 Free Software Foundation, Inc.
+# Copyright (C) 1994-2018 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -179,7 +179,7 @@
 am__v_at_1 = 
 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
 depcomp =
-am__depfiles_maybe =
+am__maybe_remake_depfiles =
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
@@ -238,17 +238,17 @@
 CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.15
+ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
 AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing autoconf
 AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing autoheader
-AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.15
+AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
-CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
+CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -fcf-protection=full -fstack-clash-protection -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
@@ -363,4 +363,3 @@
 AUTOMAKE_OPTIONS = foreign no-dependencies
 LDADD = ../libmonit.la
 AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
-StrTest_SOURCES = StrTest.c

=== debian/changelog ===
monit (1:5.27.2-1) unstable; urgency=medium

  * New upstream version 5.27.2
  * Bump up Standards-Version (to 4.5.1)
  * Drop unused override

 -- Sergey B Kirpichev <skirpichev@gmail.com>  Mon, 25 Jan 2021 08:47:12 +0300

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: monit
 Section: admin
 Priority: optional
-Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
-XSBC-Original-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
+Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
 Build-Depends: debhelper-compat (= 13), libssl-dev, zlib1g-dev,
  libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://mmonit.com/monit/
 Vcs-Git: https://salsa.debian.org/sk-guest/monit.git

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 %:
 	dh $@
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
 
 override_dh_autoreconf:
 	dh_autoreconf ./bootstrap

## monit 5.31.0

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -248,7 +248,7 @@
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
-CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -fcf-protection=full -fstack-clash-protection -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
+CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
 CPP = gcc -E
 CPPFLAGS = 
 CXX = g++
@@ -274,7 +274,7 @@
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
 LD = /usr/bin/ld -m elf_x86_64
-LDFLAGS = 
+LDFLAGS =  -lrt
 LIBOBJS = 
 LIBS = -lm -lpthread -lz 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
@@ -363,3 +363,4 @@
 AUTOMAKE_OPTIONS = foreign no-dependencies
 LDADD = ../libmonit.la
 AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
+StrTest_SOURCES = StrTest.c

=== debian/changelog ===
monit (1:5.31.0-1) unstable; urgency=medium

  * New upstream release.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 14 Feb 2022 16:40:40 -0300

monit (1:5.30.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
      - Added years in upstream files block.
      - Updated Upstream-Contact field.
      - Updated years in packaging block.
  * debian/monit.lintian-overrides: adjusted.
  * debian/patches/:
      - 020_enable-hurd.patch: refreshed.
      - 030_add-readonly-mode-for-web-interface.patch: removed, fixed upstream.
      - 040_fix-warnings.patch: renamed to 030_fix-warnings.patch.
      - 050_fix-incorrect-comment-level-in-monitrc.patch: removed, fixed
        upstream.
      - series: updated.
  * debian/upstream/metadata: removed unknown Homepage field.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sat, 15 Jan 2022 11:34:12 -0300

monit (1:5.29.0-5) unstable; urgency=medium

  * debian/patches/020_enable-hurd.patch: updated to fix FTBFS for hurd.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Tue, 31 Aug 2021 14:24:45 -0300

monit (1:5.29.0-4) unstable; urgency=medium

  [ Christian Göttsche ]
  * debian/rules: removed '--enable-werror' from override_dh_auto_configure to
    avoid FTBFS on some architectures.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 30 Aug 2021 08:30:50 -0300

monit (1:5.29.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 29 Aug 2021 21:50:35 -0300

monit (1:5.29.0-2) experimental; urgency=medium

  * Upload to unstable.
  * debian/patches/:
      - 010_monitrc.patch: fixed a comment. (Closes: #993055)
      - 050_fix-incorrect-comment-level-in-monitrc.patch: added to fix a
        comment monitrc. (Closes: #993056)
      - series: updated.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 29 Aug 2021 21:31:01 -0300

monit (1:5.29.0-1) experimental; urgency=medium

  * New upstream release.
  * debian/patches/:
      - All patches refreshed.
      - 040_add-werror.patch: removed, not needed anymore.
      - 050_fix-warnings.patch: renamed to 040_fix-warnings.patch.
      - series: updated.
  * debian/rules: fixed a error in override_dh_auto_configure so that all
    arguments are actually used.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 26 Aug 2021 19:08:53 -0300

monit (1:5.28.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 26 Aug 2021 09:54:26 -0300

monit (1:5.28.0-2) experimental; urgency=medium

  [ Christian Göttsche ]
  * debian/clean: added to clean monit.1 to successfully build twice.
  * debian/control: added bison and flex to Build-Depends field in source
    stanza.
  * debian/patches/:
      - 030_add-readonly-mode-for-web-interface.patch: added.
      - 040_add-werror.patch: added.
      - 050_fix-warnings.patch: added.
      - series: updated.
  * debian/README.Debian: fixed typos.
  * debian/rules:
      - Build with LTO.
      - Configure with --enable-werror.
      - Configure with --with-ipv6 to support cross compiling.
      - Drop dh_missing --fail-missing.
  * debian/salsa-ci.yml: use Debian recipe for salsa CI.

  [ Fabio Augusto De Muzio Tobich ]
  * debian/control:
      - Bumped Standards-Version to 4.6.0.
      - Changed my email in Maintainer field.
  * debian/copyright:
      - Changed my email in packaging block.
      - Updated Christian's year in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Wed, 25 Aug 2021 12:18:28 -0300

monit (1:5.28.0-1) experimental; urgency=medium

  * New upstream release.
  * New maintainer. (Closes: #986412)
  * debian/control: Updated Vcs-* fields in source stanza.
  * debian/copyright:
      - Updated GPL-3+ license text.
      - Updated packaging maintainers and dates.
  * debian/gbp.conf: removed, not needed.
  * debian/patches/:
      - Renamed 05_monitrc.patch to 010_monitrc.patch and updated to work with
        new upstream release.
      - Renamed 11_enable_hurd.patch to 020_enable-hurd.patch and refreshed.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/upstream/metadata: updated.

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 12 Apr 2021 16:43:21 -0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,20 @@
 Source: monit
 Section: admin
 Priority: optional
-Maintainer: Sergey B Kirpichev <skirpichev@gmail.com>
-Build-Depends: debhelper-compat (= 13), libssl-dev, zlib1g-dev,
- libpam-dev, libkvm-dev [kfreebsd-any], libdevstat-dev [kfreebsd-any]
-Standards-Version: 4.5.1
+Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               bison,
+               flex,
+               libdevstat-dev [kfreebsd-any],
+               libkvm-dev [kfreebsd-any],
+               libpam-dev,
+               libssl-dev,
+               zlib1g-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://mmonit.com/monit/
-Vcs-Git: https://salsa.debian.org/sk-guest/monit.git
-Vcs-Browser: https://salsa.debian.org/sk-guest/monit
+Vcs-Git: https://salsa.debian.org/debian/monit.git
+Vcs-Browser: https://salsa.debian.org/debian/monit
 
 Package: monit
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -flto
export DEB_LDFLAGS_MAINT_APPEND = -flto

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf ./bootstrap

override_dh_auto_configure:
	dh_auto_configure -- \
    --sysconfdir=/etc/monit \
    --with-ipv6

override_dh_fixperms:
	dh_fixperms
	chmod 600 debian/monit/etc/monit/monitrc
	chmod 0700 debian/monit/var/lib/monit/events

## monit 5.32.0

=== debian/changelog ===
monit (1:5.32.0-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Thu, 12 May 2022 12:56:20 -0300

monit (1:5.32.0-1) unstable; urgency=medium

  [ Christian Göttsche ]
  * debian/rules: removed DEB_CFLAGS_MAINT_APPEND, DEB_LDFLAGS_MAINT_APPEND
    and updated DEB_BUILD_MAINT_OPTIONS to enable LTO via dpkg-buildflags
    instead of manually adding flags.

  [ Fabio Augusto De Muzio Tobich ]
  * New upstream release.
  * debian/copyright: updated years in packaging block.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 11 Apr 2022 11:03:09 -0300

## monit 5.33.0

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2018 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -234,23 +234,22 @@
   unique=`for i in $$list; do \
     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   done | $(am__uniquify_input)`
-ETAGS = etags
-CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /tmp/monit/libmonit/config/missing aclocal-1.16
+ACLOCAL = ${SHELL} '/tmp/monit/libmonit/config/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = ${SHELL} /tmp/monit/libmonit/config/missing autoconf
-AUTOHEADER = ${SHELL} /tmp/monit/libmonit/config/missing autoheader
-AUTOMAKE = ${SHELL} /tmp/monit/libmonit/config/missing automake-1.16
+AUTOCONF = ${SHELL} '/tmp/monit/libmonit/config/missing' autoconf
+AUTOHEADER = ${SHELL} '/tmp/monit/libmonit/config/missing' autoheader
+AUTOMAKE = ${SHELL} '/tmp/monit/libmonit/config/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=none
 CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
-CPP = gcc -E
 CPPFLAGS = 
+CSCOPE = cscope
+CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=none
@@ -264,10 +263,11 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
+ETAGS = etags
 EXEEXT = 
-FGREP = /bin/grep -F
-GREP = /bin/grep
+FGREP = /usr/bin/grep -F
+GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
@@ -282,9 +282,9 @@
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
-MAKEINFO = ${SHELL} /tmp/monit/libmonit/config/missing makeinfo
+MAKEINFO = ${SHELL} '/tmp/monit/libmonit/config/missing' makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -300,7 +300,7 @@
 PACKAGE_VERSION = 1.0
 PATH_SEPARATOR = :
 RANLIB = ranlib
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
@@ -363,4 +363,3 @@
 AUTOMAKE_OPTIONS = foreign no-dependencies
 LDADD = ../libmonit.la
 AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread 
-StrTest_SOURCES = StrTest.c

=== system/packages/freebsd/Makefile ===
# New ports collection makefile for:   monit
# Date created:        11 January 2006
# Whom:                Martin Pala <martinp@tildeslash.com>
#
# $FreeBSD$
#

PORTNAME=		monit
PORTVERSION=		4.9
CATEGORIES=		sysutils
MASTER_SITES=		http://www.tildeslash.com/monit/dist/

MAINTAINER=		martinp@tildeslash.com
COMMENT=		Unix system management and monitoring

MAN1=			monit.1

GNU_CONFIGURE=		yes
USE_GMAKE=		yes
USE_BISON=		yes
USE_RC_SUBR=		yes

CONFIGURE_ENV=		CC="${CC}" CPPFLAGS="${CPPFLAGS}" \
			CFLAGS="${CFLAGS}" \
			LDFLAGS="${LDFLAGS}" CONFIG_SHELL="${SH}" \
			LOCALBASE="${LOCALBASE}"

OPTIONS=		SSL "Enable SSL support" on

PLIST_FILES=		bin/monit \
			etc/monitrc.sample \
			etc/rc.d/monit.sh \
			share/doc/monit/CHANGES.txt \
			share/doc/monit/LICENSE \
			share/doc/monit/README \
			share/doc/monit/README.SSL \
			share/doc/monit/STATUS \
			share/doc/monit/examples.html \
			share/doc/monit/monit.html
PLIST_DIRS=		share/doc/monit

.include <bsd.port.pre.mk>

pre-install:
	@${SED} -e 's|%%PREFIX%%|${PREFIX}|g' \
		-e 's|%%RC_SUBR%%|${RC_SUBR}|g' \
		${FILESDIR}/monit.sh > ${WRKDIR}/monit.sh

post-install:
	@${INSTALL_SCRIPT} -m 755 ${WRKDIR}/monit.sh ${PREFIX}/etc/rc.d/monit.sh
	@${INSTALL_SCRIPT} -m 600 ${WRKDIR}/${DISTNAME}/monitrc ${PREFIX}/etc/monitrc.sample
	${MKDIR} ${DOCSDIR}
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/CHANGES.txt ${PREFIX}/share/doc/monit/CHANGES.txt
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/LICENSE ${PREFIX}/share/doc/monit/LICENSE
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/README ${PREFIX}/share/doc/monit/README
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/README.SSL ${PREFIX}/share/doc/monit/README.SSL
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/STATUS ${PREFIX}/share/doc/monit/STATUS
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/doc/examples.html ${PREFIX}/share/doc/monit/examples.html
	@${INSTALL_SCRIPT} -m 644 ${WRKDIR}/${DISTNAME}/doc/monit.html ${PREFIX}/share/doc/monit/monit.html
	@${CAT} ${PKGMESSAGE}
	@${ECHO_MSG} "	${PREFIX}/etc/monitrc.sample"
	@${ECHO_MSG} "	${PREFIX}/share/doc/monit/examples.html"

.if defined(WITH_SSL)
.include "${PORTSDIR}/Mk/bsd.openssl.mk"
CONFIGURE_ARGS+=	--enable-ssl \
			--with-openssl="${OPENSSLBASE}"
.else
CONFIGURE_ARGS+=	--without-ssl
.endif

.include <bsd.port.post.mk>

=== debian/changelog ===
monit (1:5.33.0-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:57:27 +1100

monit (1:5.33.0-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:01:14 +0000

monit (1:5.33.0-2) unstable; urgency=medium

  * debian/conf-available/:
      - openssh-server:
          ~ Changed start/stop program to use systemd instead of init.d.
          ~ Fixed to check sshd process instead of pid file.
          ~ Removed dependency of sshd_dsa_key.
      - rsyslog:
          ~ Changed start/stop program to use systemd instead of init.d.
          ~ Fixed to check rsyslogd process instead of pid file.
            (Closes: #1007214, #1028985)
          ~ Removed dependency of rsyslogd_rc.
  * debian/monit.examples: removed 'system/startup/monit.service' since it
    will be installed by debian/monit.install.
  * debian/monit.install:
      - Install bash-completion script in
        'usr/share/bash-completion/completions/'.
      - Install 'system/startup/monit.service' as a service configuration unit
        to systemd, provided by upstream. (Closes: #1039270)
  * debian/monit.lintian-overrides: removed 'missing systemd service' override
    since it's not true anymore.
  * debian/patches/:
      - 020_enable-hurd.patch: updated.
      - 040_hardening-monit.service.patch: created to add some hardening
        options to 'monit.service'. Thanks to Christian Göttsche.
      - series: updated to include the new patch 040.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Sun, 20 Aug 2023 17:27:26 -0300

monit (1:5.33.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 4.6.2.
      - Removed obsolete lsb-base package from Depends field.
  * debian/copyright: updated years.
  * debian/monit.lintian-overrides:
      - Added override for Debian NEWS entry with unknown version.
      - Removed unused override.
      - Updated mismatched overrides.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 13 Feb 2023 16:04:17 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: monit
 Section: admin
 Priority: optional
-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Fabio Augusto De Muzio Tobich <ftobich@debian.org>
 Build-Depends: debhelper-compat (= 13),
                bison,
                flex,
@@ -10,7 +11,7 @@
                libpam-dev,
                libssl-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mmonit.com/monit/
 Vcs-Git: https://salsa.debian.org/debian/monit.git
@@ -19,7 +20,7 @@
 Package: monit
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: default-mta | postfix [!kfreebsd-any !hurd-any] | mail-transport-agent,
  sysvinit-core
 Description: utility for monitoring and managing daemons or similar programs

## monit 5.34.0

=== debian/changelog ===
monit (1:5.34.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/conf-available: changed all confs to use command 'service' instead
    of 'systemctl' or '/etc/init.d/'. (Closes: #1050448)
  * debian/copyright:
      - Include Chris Hofstaedtler in packaging block.
      - Updated years.
  * debian/monit.lintian-overrides: removed unused override
    'debian-news-entry-has-unknown-version'.

 -- Fabio Augusto De Muzio Tobich <ftobich@debian.org>  Mon, 10 Jun 2024 09:27:51 -0300

monit (1:5.33.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Helmut Grohne ]
  * Let dh_installsystemd choose the location of units (Closes: #1054093)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 30 May 2024 02:57:21 +0200

## monit 5.34.2

=== libmonit/test/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.16.5 from Makefile.am.
+# Makefile.in generated by automake 1.15.1 from Makefile.am.
 # test/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2021 Free Software Foundation, Inc.
+# Copyright (C) 1994-2017 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -88,12 +88,12 @@
 POST_UNINSTALL = :
 build_triplet = x86_64-pc-linux-gnu
 host_triplet = x86_64-pc-linux-gnu
-noinst_PROGRAMS = StrTest$(EXEEXT) ConvertTest$(EXEEXT) \
-	SystemTest$(EXEEXT) ListTest$(EXEEXT) DirTest$(EXEEXT) \
-	StringBufferTest$(EXEEXT) InputStreamTest$(EXEEXT) \
-	OutputStreamTest$(EXEEXT) FileTest$(EXEEXT) \
-	ExceptionTest$(EXEEXT) NetTest$(EXEEXT) TimeTest$(EXEEXT) \
-	CommandTest$(EXEEXT)
+noinst_PROGRAMS = StrTest$(EXEEXT) FmtTest$(EXEEXT) \
+	SystemTest$(EXEEXT) RandomTest$(EXEEXT) ArrayTest$(EXEEXT) \
+	ListTest$(EXEEXT) DirTest$(EXEEXT) StringBufferTest$(EXEEXT) \
+	InputStreamTest$(EXEEXT) OutputStreamTest$(EXEEXT) \
+	FileTest$(EXEEXT) ExceptionTest$(EXEEXT) NetTest$(EXEEXT) \
+	TimeTest$(EXEEXT) CommandTest$(EXEEXT)
 subdir = test
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
@@ -109,18 +109,18 @@
 CONFIG_CLEAN_FILES =
 CONFIG_CLEAN_VPATH_FILES =
 PROGRAMS = $(noinst_PROGRAMS)
+am_ArrayTest_OBJECTS = ArrayTest.$(OBJEXT)
+ArrayTest_OBJECTS = $(am_ArrayTest_OBJECTS)
+ArrayTest_LDADD = $(LDADD)
+ArrayTest_DEPENDENCIES = ../libmonit.la
+AM_V_lt = $(am__v_lt_$(V))
+am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
+am__v_lt_0 = --silent
+am__v_lt_1 = 
 am_CommandTest_OBJECTS = CommandTest.$(OBJEXT)
 CommandTest_OBJECTS = $(am_CommandTest_OBJECTS)
 CommandTest_LDADD = $(LDADD)
 CommandTest_DEPENDENCIES = ../libmonit.la
-AM_V_lt = $(am__v_lt_$(V))
-am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
-am__v_lt_0 = --silent
-am__v_lt_1 = 
-am_ConvertTest_OBJECTS = ConvertTest.$(OBJEXT)
-ConvertTest_OBJECTS = $(am_ConvertTest_OBJECTS)
-ConvertTest_LDADD = $(LDADD)
-ConvertTest_DEPENDENCIES = ../libmonit.la
 am_DirTest_OBJECTS = DirTest.$(OBJEXT)
 DirTest_OBJECTS = $(am_DirTest_OBJECTS)
 DirTest_LDADD = $(LDADD)
@@ -133,6 +133,10 @@
 FileTest_OBJECTS = $(am_FileTest_OBJECTS)
 FileTest_LDADD = $(LDADD)
 FileTest_DEPENDENCIES = ../libmonit.la
+am_FmtTest_OBJECTS = FmtTest.$(OBJEXT)
+FmtTest_OBJECTS = $(am_FmtTest_OBJECTS)
+FmtTest_LDADD = $(LDADD)
+FmtTest_DEPENDENCIES = ../libmonit.la
 am_InputStreamTest_OBJECTS = InputStreamTest.$(OBJEXT)
 InputStreamTest_OBJECTS = $(am_InputStreamTest_OBJECTS)
 InputStreamTest_LDADD = $(LDADD)
@@ -149,6 +153,10 @@
 OutputStreamTest_OBJECTS = $(am_OutputStreamTest_OBJECTS)
 OutputStreamTest_LDADD = $(LDADD)
 OutputStreamTest_DEPENDENCIES = ../libmonit.la
+am_RandomTest_OBJECTS = RandomTest.$(OBJEXT)
+RandomTest_OBJECTS = $(am_RandomTest_OBJECTS)
+RandomTest_LDADD = $(LDADD)
+RandomTest_DEPENDENCIES = ../libmonit.la
 am_StrTest_OBJECTS = StrTest.$(OBJEXT)
 StrTest_OBJECTS = $(am_StrTest_OBJECTS)
 StrTest_LDADD = $(LDADD)
@@ -179,7 +187,7 @@
 am__v_at_1 = 
 DEFAULT_INCLUDES = -I. -I$(top_builddir)/src
 depcomp =
-am__maybe_remake_depfiles =
+am__depfiles_maybe =
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
@@ -198,18 +206,20 @@
 am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
 am__v_CCLD_0 = @echo "  CCLD    " $@;
 am__v_CCLD_1 = 
-SOURCES = $(CommandTest_SOURCES) $(ConvertTest_SOURCES) \
+SOURCES = $(ArrayTest_SOURCES) $(CommandTest_SOURCES) \
 	$(DirTest_SOURCES) $(ExceptionTest_SOURCES) \
-	$(FileTest_SOURCES) $(InputStreamTest_SOURCES) \
-	$(ListTest_SOURCES) $(NetTest_SOURCES) \
-	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
+	$(FileTest_SOURCES) $(FmtTest_SOURCES) \
+	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
+	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
+	$(RandomTest_SOURCES) $(StrTest_SOURCES) \
 	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
 	$(TimeTest_SOURCES)
-DIST_SOURCES = $(CommandTest_SOURCES) $(ConvertTest_SOURCES) \
+DIST_SOURCES = $(ArrayTest_SOURCES) $(CommandTest_SOURCES) \
 	$(DirTest_SOURCES) $(ExceptionTest_SOURCES) \
-	$(FileTest_SOURCES) $(InputStreamTest_SOURCES) \
-	$(ListTest_SOURCES) $(NetTest_SOURCES) \
-	$(OutputStreamTest_SOURCES) $(StrTest_SOURCES) \
+	$(FileTest_SOURCES) $(FmtTest_SOURCES) \
+	$(InputStreamTest_SOURCES) $(ListTest_SOURCES) \
+	$(NetTest_SOURCES) $(OutputStreamTest_SOURCES) \
+	$(RandomTest_SOURCES) $(StrTest_SOURCES) \
 	$(StringBufferTest_SOURCES) $(SystemTest_SOURCES) \
 	$(TimeTest_SOURCES)
 am__can_run_installinfo = \
@@ -234,22 +244,23 @@
   unique=`for i in $$list; do \
     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   done | $(am__uniquify_input)`
+ETAGS = etags
+CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/tmp/monit/libmonit/config/missing' aclocal-1.16
+ACLOCAL = ${SHELL} /root/monit/libmonit/config/missing aclocal-1.15
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
-AUTOCONF = ${SHELL} '/tmp/monit/libmonit/config/missing' autoconf
-AUTOHEADER = ${SHELL} '/tmp/monit/libmonit/config/missing' autoheader
-AUTOMAKE = ${SHELL} '/tmp/monit/libmonit/config/missing' automake-1.16
-AWK = gawk
+AUTOCONF = ${SHELL} /root/monit/libmonit/config/missing autoconf
+AUTOHEADER = ${SHELL} /root/monit/libmonit/config/missing autoheader
+AUTOMAKE = ${SHELL} /root/monit/libmonit/config/missing automake-1.15
+AWK = mawk
 CC = gcc
 CCDEPMODE = depmode=none
-CFLAGS = -Wno-address -Wno-pointer-sign -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused -Wno-unused-label -funsigned-char -std=c11
+CFLAGS = -g -O2 -Wextra -fstack-protector-all -D _REENTRANT -D_GNU_SOURCE -Wall -Wunused  -std=c11
+CPP = gcc -E
 CPPFLAGS = 
-CSCOPE = cscope
-CTAGS = ctags
 CXX = g++
 CXXCPP = g++ -E
 CXXDEPMODE = depmode=none
@@ -263,11 +274,10 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /usr/bin/grep -E
-ETAGS = etags
+EGREP = /bin/grep -E
 EXEEXT = 
-FGREP = /usr/bin/grep -F
-GREP = /usr/bin/grep
+FGREP = /bin/grep -F
+GREP = /bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
@@ -282,9 +292,9 @@
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
-MAKEINFO = ${SHELL} '/tmp/monit/libmonit/config/missing' makeinfo
+MAKEINFO = ${SHELL} /root/monit/libmonit/config/missing makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /usr/bin/mkdir -p
+MKDIR_P = /bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -300,16 +310,16 @@
 PACKAGE_VERSION = 1.0
 PATH_SEPARATOR = :
 RANLIB = ranlib
-SED = /usr/bin/sed
+SED = /bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
 UNIT_TEST = test
 VERSION = 1.0
-abs_builddir = /tmp/monit/libmonit/test
-abs_srcdir = /tmp/monit/libmonit/test
-abs_top_builddir = /tmp/monit/libmonit
-abs_top_srcdir = /tmp/monit/libmonit
+abs_builddir = /root/monit/libmonit/test
+abs_srcdir = /root/monit/libmonit/test
+abs_top_builddir = /root/monit/libmonit
+abs_top_srcdir = /root/monit/libmonit
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_CXX = g++
@@ -339,7 +349,7 @@
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /tmp/monit/libmonit/config/install-sh
+install_sh = ${SHELL} /root/monit/libmonit/config/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 localedir = ${datarootdir}/locale
@@ -353,13 +363,3 @@
 psdir = ${docdir}
 runstatedir = ${localstatedir}/run
 sbindir = ${exec_prefix}/sbin
-sharedstatedir = ${prefix}/com
-srcdir = .
-sysconfdir = ${prefix}/etc
-target_alias = 
-top_build_prefix = ../
-top_builddir = ..
-top_srcdir = ..
-AUTOMAKE_OPTIONS = foreign no-dependencies
-LDADD = ../libmonit.la
-AM_CPPFLAGS = -I../src/ -I../src/util -I../src/net -I../src/io -I../src/exceptions -I../src/thread
